| Home | Libraries | People | FAQ | More

## Struct template has_trivial_constructor<boost::interprocess::offset_ptr< T >>

boost::has_trivial_constructor<boost::interprocess::offset_ptr< T >>

## Synopsis

    // In header: <boost/interprocess/offset_ptr.hpp>

    template<typename T>
    struct has_trivial_constructor<boost::interprocess::offset_ptr< T >> {

      enum @0 { value =  true };
    };

## Description

@ has_trivial_constructor<> == true_type specialization for optimizations